RadiotherapyData Class Reference

Instance data for radio therapy problem. More...

## Public Member Functions

| RadiotherapyData (int m0, int n0, const int *intensity0)
| Construct instance data.

## Public Attributes

const int | m
| Height of intensity matrix.
const int | n
| Width of intensity matrix.
const int * | intensity
| Intensity matrix.
int | btMin
| Minimal beam time (computed from other parameters).
int | btMax
| Maximal beam time (computed from other parameters).
int | intsSum
| Sum of all intensities.

## Detailed Description

Instance data for radio therapy problem.

Definition at line 45 of file radiotherapy.cpp.

## Constructor & Destructor Documentation

## RadiotherapyData()

RadiotherapyData::RadiotherapyData | ( | int | m0,
|  | int | n0,
|  | const int * | intensity0 )

inline

Construct instance data.

Definition at line 64 of file radiotherapy.cpp.

## Member Data Documentation

## m

const int RadiotherapyData::m

Height of intensity matrix.

Definition at line 55 of file radiotherapy.cpp.

## n

const int RadiotherapyData::n

Width of intensity matrix.

Definition at line 56 of file radiotherapy.cpp.

## intensity

const int* RadiotherapyData::intensity

Intensity matrix.

Definition at line 57 of file radiotherapy.cpp.

## btMin

int RadiotherapyData::btMin

Minimal beam time (computed from other parameters).

Definition at line 59 of file radiotherapy.cpp.

## btMax

int RadiotherapyData::btMax

Maximal beam time (computed from other parameters).

Definition at line 60 of file radiotherapy.cpp.

## intsSum

int RadiotherapyData::intsSum

Sum of all intensities.

Definition at line 61 of file radiotherapy.cpp.

The documentation for this class was generated from the following file:

- examples/radiotherapy.cpp